@extends('layouts.admin')
@section('meta')
    <title>{{trans('home.edit_faq')}}</title>
@endsection
@section('content')

<div class="container-fluid">

        <!-- Page Header -->
        <div class="page-header">
            <div>
                <h2 class="main-content-title tx-24 mg-b-5">{{trans('home.faqs')}}</h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{url('/admin')}}">{{trans('home.admin')}}</a></li>
                    <li class="breadcrumb-item"><a href="{{url('admin/faqs')}}">{{trans('home.faqs')}}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{trans('home.edit_faq')}}</li>
                </ol>
            </div>
        </div>
        <!-- End Page Header -->

        <!-- Row-->
        <div class="row">
            <div class="col-sm-12 col-xl-12 col-lg-12">
                <div class="card custom-card overflow-hidden">
    
                    <div class="card-body">
                        <div>
                            <h6 class="card-title mb-1">{{trans('home.edit_faq')}}</h6>
                        </div>
                        {!! Form::open(['method'=>'PATCH','url' => 'admin/faqs/'.$faq->id, 'data-toggle'=>'validator', 'files'=>'true']) !!}
                            <div class="row">

                            <div class="form-group col-md-5">
                                    <label class="">{{trans('home.question_en')}}</label>
                                    <input class="form-control" name="question_en" type="text" placeholder="{{trans('home.question_en')}}" value="{{$faq->question_en}}" required>
                                </div>

                                <div class="form-group col-md-5">
                                    <label class="">{{trans('home.question_ar')}}</label>
                                    <input class="form-control" name="question_ar" type="text" placeholder="{{trans('home.question_ar')}}" value="{{$faq->question_ar}}">
                                </div>
                                
                                 <div class="form-group col-md-2">
                                    <label for="helperText">{{trans('home.type')}}</label>
                                    <select class="form-control select2" name="type" required>
                                        <option value="faq" {{($faq->type == 'faq')?'selected':''}}>{{trans('home.faq')}}</option>
                                        <option value="why_section" {{($faq->type == 'why_section')?'selected':''}}>{{trans('home.why_section')}}</option>
                                    </select>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="answer_en"> {{trans('home.answer_en')}}</label>
                                    <textarea class="area1" name="answer_en">{!! $faq->answer_en !!}</textarea>
                                </div>
                                
                                <div class="form-group col-md-6">
                                    <label for="answer_ar"> {{trans('home.answer_ar')}}</label>
                                    <textarea class="area1" name="answer_ar">{!! $faq->answer_ar !!}</textarea>
                                </div>


                                <div class="form-group col-md-12">
                                    <label class="ckbox">
                                        <input name="status" value="1" {{($faq->status == 1)? 'checked':''}} type="checkbox"><span class="tx-13">{{trans('home.publish')}}</span>
                                    </label>
                                </div>

                                <div class="form-group col-md-12">
                                    <button type="submit" class="btn btn-success"><i class="icon-note"></i> {{trans('home.save')}} </button>
                                    <a href="{{url('/admin/faqs')}}"><button type="button" class="btn btn-danger mr-1"><i class="icon-trash"></i> {{trans('home.cancel')}}</button></a>
                                </div>
                                
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
        <!-- End Row -->
    </div>

@endsection
