@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{trans('home.faqs')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.faqs')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->


<!-- faqs start -->
<section class="services-details">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-4 col-md-12 col-sm-12 order-lg-1 order-md-2 order-sm-2 sidebar-side">
                <div class="services-sidebar">
                    <div class="sidebar-widget support-widget">
                        <div class="sec-title">
                            <h4 class="border-bottom">{{trans('home.contact_us')}}</h4>
                        </div>
                        <div class="form-inner">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            <form class="default-form" action="{{LaravelLocalization::localizeUrl('save/contact-us')}}" method="post">
                                @csrf
                                <div class="row clearfix">
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="name" placeholder="{{trans('home.name')}}" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="email" placeholder="{{trans('home.email')}}" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="phone" placeholder="{{trans('home.phone')}}" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <textarea  name="message" id="" cols="60" rows="5" placeholder="{{trans('home.message')}}" required=""></textarea>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                        <button class="theme-btn btn-one" type="submit" name="submit-form"><span>{{trans('home.send')}}</span></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8 col-md-12 col-sm-12 order-lg-2 order-md-1 order-sm-1 content-side">
                <div class="services-details-content">
                    
                    <!-- The Block -->
                    <div class="content-three">
                        <div class="sec-title">
                            <h3 class="border-bottom">{{trans('home.Most frequently asked questions')}}</h3>
                        </div>
                        @if(count($faqs)> 0)
                            <ul class="accordion-box">
                                @foreach($faqs as $key=>$faq)
                                    <li class="accordion block @if($key == 0) active-block @endif">
                                        <div class="acc-btn @if($key == 0) active @endif">
                                            <div class="icon-outer"></div>
                                            <h5>{{(app()->getLocale() == 'en')?$faq->question_en : $faq->question_ar}}</h5>
                                        </div>
                                        <div class="acc-content @if($key == 0) current @endif">
                                            <div class="text">
                                                <p>{!! (app()->getLocale() == 'en')?$faq->answer_en : $faq->answer_ar !!}</p>
                                            </div>
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        @else
                            <div class="text-center">
                                <p>{{trans('home.no_data_found')}}</p>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- faqs end -->
        
@endsection
