@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')

    <!-- Page Title -->
    <section class="page-title centred">
        <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
        <div class="container">
            <div class="content-box">
                <ul class="bread-crumb clearfix">
                    <li><a href="index.html">{{trans('home.home')}}</a></li>
                    <li>{{trans('home.testimonials')}}</li>
                </ul>
                <div class="title">
                    <h1>{{trans('home.testimonials')}}</h1>
                </div>
            </div>
        </div>
        <div class="media-partner">
            <ul class="media-links clearfix">
                <li><h6>{{trans('home.follow on social media')}}</h6></li>
                @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
                @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
                @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
            </ul>
        </div>
    </section>
    <!-- End Page Title -->
    <!-- Testimonials-section -->
    
    <section class="services-section sec-pad mt-5">
        <div class="container">
            <div class="upper-box">
                <div class="row clearfix">
                    @if(count($testimonials)>0 )
                        @foreach($testimonials as $testimonial)
                            <div class="col-lg-12 col-md-12 col-sm-12 services-block">
                                <div class="services-block-one wow fadeInUp animated" data-wow-delay="300ms" data-wow-duration="1500ms">
                                    <div class="inner-box">
                                        <div class="lower-content">
                                            <div class="row align-items-center">
                                                <div class="col-lg-7 col-md-12 col-sm-12 col-12">
                                                    <h3>{{$testimonial->name}}</h3>
                                                    <p>
                                                        {!! $testimonial->text !!}
                                                    </p>
                                                </div>
                                                <div class="col-lg-5 col-md-12 col-sm-12 col-12">
                                                    <iframe width="100%" height="315" src="{{$testimonial->youtube_link}}" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    @else
                        <div class="col-lg-12 col-md-12 col-sm-12 text-center">
                            <p>{{trans('home.no_data_found')}}</p>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </section>
    <!-- Testimonials-section end -->

@endsection