<!DOCTYPE html>
<html lang="<?php echo e(LaravelLocalization::getCurrentLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <?php echo $__env->yieldContent('meta'); ?>
        <?php echo $__env->make('layouts.partials.hreflang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- Fav Icon -->
        <link rel="icon" href="<?php echo e(url('uploads/settings/source/'.$configration->fav_icon)); ?>" type="image/x-icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Amatic+SC:wght@400;700&amp;display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap" rel="stylesheet">
        <!-- Stylesheets -->
        <link href="<?php echo e(url('resources/assets/front/css/font-awesome-all.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/flaticon.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/owl.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/bootstrap.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/jquery.fancybox.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/animate.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('resources/assets/front/css/color.css')); ?>" rel="stylesheet">
        <?php if( LaravelLocalization::getCurrentLocaleDirection() == 'rtl'): ?>
        <link href="<?php echo e(url('resources/assets/front/css/rtl.css')); ?>" rel="stylesheet">
        <?php else: ?>
        <link href="<?php echo e(url('resources/assets/front/css/style.css')); ?>" rel="stylesheet">
        <?php endif; ?>
        
        <link href="<?php echo e(url('resources/assets/front/css/responsive.css')); ?>" rel="stylesheet">
        <?php echo $__env->yieldContent('style'); ?>
    </head>
    <!-- page wrapper -->
    <body>
        <div class="boxed_wrapper">
            <!-- preloader -->
            <div class="preloader">
                <div class="boxes">
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                </div>
            </div>
            <!-- preloader end -->
    
            <!-- main header -->
            <header class="main-header header-style-one">
                <div class="header-lower">
                    <div class="outer-box">
                        <div class="logo-box">
                            <figure class="logo">
                                <a href="<?php echo e(LaravelLocalization::localizeUrl('/')); ?>">
                                    <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" class="logo_main" alt="logo">
                                </a>
                            </figure>
                        </div>
                        <div class="menu-area">
                            <!--Mobile Navigation Toggler-->
                            <div class="mobile-nav-toggler">
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                            </div>
                            <nav class="main-menu navbar-expand-md navbar-light">
                                <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
                                    <ul class="navigation clearfix">
                                        <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($menu->type == 'link'): ?>
                                                <li <?php if(Request::segment(2) == $menu->type_value): ?> class="current" <?php endif; ?>><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li> 
                                            <?php elseif($menu->type == 'home'): ?>
                                                <li <?php if(Request::segment(2) == ''): ?> class="current" <?php endif; ?>><a href="<?php echo e(LaravelLocalization::localizeUrl('/')); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li> 
                                            <?php elseif($menu->type == 'services'): ?>
                                                <li class="dropdown">
                                                    <a href="<?php echo e(LaravelLocalization::localizeUrl('services')); ?>"><?php echo e(trans('home.services')); ?></a>
                                                    <?php if(count($menuServices) > 0): ?>
                                                        <ul class="sub-menu">
                                                            <?php $__currentLoopData = $menuServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menuService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <li class="menu-item">
                                                                    <a href="<?php echo e((app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$menuService->link_en):LaravelLocalization::localizeUrl('service/'.$menuService->link_ar)); ?>"><?php echo e((app()->getLocale() == 'en')?$menuService->name_en:$menuService->name_ar); ?></a>
                                                                </li>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </ul>
                                                    <?php endif; ?>
                                                </li>
                                            <?php elseif($menu->type == 'blog-category'): ?>
                                                <li><a href="<?php echo e((app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blogs/'.$menu->link_en):LaravelLocalization::localizeUrl('blogs/'.$menu->link_ar)); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li> 
                                            <?php elseif(count($menu->subMenu()) > 0): ?>
                                                <li class="dropdown"><a href="<?php echo e(LaravelLocalization::localizeUrl($menu->type)); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a>
                                                    <ul>
                                                        <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if(count($subMenu->subMenu() ) > 0): ?>
                                                                <li class="dropdown">
                                                                    <a href="<?php echo e(LaravelLocalization::localizeUrl($subMenu->type)); ?>"><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                                    <ul>
                                                                        <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenuL2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <li class="menu-item">
                                                                                <a href="<?php echo e(LaravelLocalization::localizeUrl($subMenuL2->type)); ?>"><?php echo e((app()->getLocale() == 'en')?$subMenuL2->name_en:$subMenuL2->name_ar); ?></a>
                                                                            </li>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </ul>
                                                                </li>
                                                            <?php else: ?>
                                                                <li>
                                                                    <a href="<?php echo e(LaravelLocalization::localizeUrl($subMenu->type)); ?>"><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                                </li>
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                </li>
                                            <?php else: ?>
                                                <li <?php if(Request::segment(2) == $menu->type): ?> class="current" <?php endif; ?>><a href="<?php echo e(LaravelLocalization::localizeUrl($menu->type)); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li> 
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <li>
                                            <?php $__currentLoopData = LaravelLocalization::getSupportedLocales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $localeCode => $properties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en'): ?>
            
                                                    <a hreflang="<?php echo e($localeCode); ?>" 
                                                        <?php if(Request::segment(2) == 'service'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true)); ?>"
                                                        <?php elseif(Request::segment(2) == 'project'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true)); ?>"
                                                        <?php elseif(Request::segment(2) == 'blog'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true)); ?>"
                                                        <?php else: ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                        <?php endif; ?>>
                                                        <?php echo e(trans("home.$localeCode")); ?>

                                                    </a>
                                                <?php elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar'): ?>
                                                    <a hreflang="<?php echo e($localeCode); ?>" 
                                                        <?php if(Request::segment(2) == 'service'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true)); ?>"
                                                        <?php elseif(Request::segment(2) == 'project'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true)); ?>"
                                                        <?php elseif(Request::segment(2) == 'blog'): ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true)); ?>"
                                                        <?php else: ?>
                                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                        <?php endif; ?>>
                                                        <?php echo e(trans("home.$localeCode")); ?>

                                                    </a>
                                                <?php endif; ?>    
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </li>
                                    </ul>
                                </div>
                            </nav>
                        </div>
                        <div class="menu-right-content">
                            <div class="support-box">
                                <div class="icon"><i class="fa fa-language"></i></div>
                                <span><?php echo e(trans('home.switch_lang')); ?></span>
                                <h5>
                                    <?php $__currentLoopData = LaravelLocalization::getSupportedLocales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $localeCode => $properties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en'): ?>
    
                                            <a hreflang="<?php echo e($localeCode); ?>" 
                                                <?php if(Request::segment(2) == 'service'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'project'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'blog'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true)); ?>"
                                                <?php else: ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                <?php endif; ?>>
                                                <?php echo e(trans("home.$localeCode")); ?>

                                            </a>
                                        <?php elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar'): ?>
                                            <a hreflang="<?php echo e($localeCode); ?>" 
                                                <?php if(Request::segment(2) == 'service'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'project'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'blog'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true)); ?>"
                                                <?php else: ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                <?php endif; ?>>
                                                <?php echo e(trans("home.$localeCode")); ?>

                                            </a>
                                        <?php endif; ?>    
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>
            
                <!--sticky Header-->
                <div class="sticky-header">
                    <div class="outer-box">
                        <div class="menu-area">
                            <nav class="main-menu clearfix">
                                <!--Keep This Empty / Menu will come through Javascript-->
                            </nav>
                        </div>
                        <div class="menu-right-content">
                            <div class="support-box">
                                <div class="icon"><i class="fa fa-language"></i></div>
                                <span><?php echo e(trans('home.switch_lang')); ?></span>
                                <h5>
                                    <?php $__currentLoopData = LaravelLocalization::getSupportedLocales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $localeCode => $properties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en'): ?>
    
                                            <a hreflang="<?php echo e($localeCode); ?>" 
                                                <?php if(Request::segment(2) == 'service'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'project'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'blog'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true)); ?>"
                                                <?php else: ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                <?php endif; ?>>
                                                <?php echo e(trans("home.$localeCode")); ?>

                                            </a>
                                        <?php elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar'): ?>
                                            <a hreflang="<?php echo e($localeCode); ?>" 
                                                <?php if(Request::segment(2) == 'service'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'project'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true)); ?>"
                                                <?php elseif(Request::segment(2) == 'blog'): ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true)); ?>"
                                                <?php else: ?>
                                                    href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>"
                                                <?php endif; ?>>
                                                <?php echo e(trans("home.$localeCode")); ?>

                                            </a>
                                        <?php endif; ?>    
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
            <!-- main-header end -->
            
            <!-- Mobile Menu  -->
            <div class="mobile-menu">
                <div class="menu-backdrop"></div>
                <div class="close-btn"><i class="fas fa-times"></i></div>
            
                <nav class="menu-box">
                    <div class="nav-logo">
                        <a href="<?php echo e(LaravelLocalization::localizeUrl('/')); ?>">
                            <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" class="logo_main" alt="logo">
                        </a>
                    </div>
                    <div class="menu-outer">
                    </div>
                    <div class="contact-info">
                        <h4><?php echo e(trans('home.contact_info')); ?></h4>
                        <ul>
                            <li><?php echo e($configration->address1); ?></li>
                            <li><a href="tel:<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></li>
                            <li><a href="tel:+<?php echo e($setting->telphone); ?>">+<?php echo e($setting->telphone); ?></a></li>
                            <li><a href="mailto:<?php echo e($setting->contact_email); ?>"><?php echo e($setting->contact_email); ?></a></li>
                        </ul>
                    </div>
                    <div class="social-links">
                        <ul class="clearfix">
                            <?php if($setting->twitter): ?><li><a href="<?php echo e($setting->twitter); ?>" target="_blank"><i class="fab fa-twitter"></i></a></li><?php endif; ?>
                            <?php if($setting->facebook): ?><li><a href="<?php echo e($setting->facebook); ?>" target="_blank"><i class="fab fa-facebook"></i></a></li><?php endif; ?>
                            <?php if($setting->linkedin): ?><li><a href="<?php echo e($setting->linkedin); ?>" target="_blank"><i class="fab fa-linkedin"></i></a></li><?php endif; ?>
                            <?php if($setting->instgram): ?><li><a href="<?php echo e($setting->instgram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li><?php endif; ?>
                        </ul>
                    </div>
                </nav>

            </div>
            <!-- End Mobile Menu -->
    
            <?php echo $__env->yieldContent('content'); ?>
    
            <!-- main-footer -->
            <footer class="main-footer">
                <div class="container">
                    <div class="footer-top">
                        <div class="top-inner">
                            <div class="text">
                                <h5><?php echo e(trans('home.contact_email')); ?></h5>
                                <h3><a href="mailto:<?php echo e($setting->contact_email); ?>"><?php echo e($setting->contact_email); ?></a></h3>
                            </div>
                            <figure class="footer-logo">
                                <a href="<?php echo e(LaravelLocalization::localizeUrl('/')); ?>">
                                    <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" class="logo_main" alt="logo">
                                </a>
                            </figure>
                            <div class="text">
                                <h5><?php echo e(trans('home.call_us')); ?></h5>
                                <h3><a href="tel:<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></h3>
                                <h3><a href="tel:+<?php echo e($setting->telphone); ?>">+<?php echo e($setting->telphone); ?></a></h3>
                            </div>
                        </div>
                    </div>
                    <div class="widget-section">
                        <div class="row clearfix">
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget links-widget">
                                    <div class="widget-title">
                                        <h4><?php echo e(trans('home.Opening Hours')); ?></h4>
                                    </div>
                                    <div class="widget-content">
                                        <p>
                                            <span><i class="fa fa-clock"></i><?php echo e(trans('home.Working Hours')); ?>:</span>
                                            <?php echo e(trans('home.Saturday to Wednesday from 3pm to 8 PM')); ?>

                                        </p>
                                        <p>
                                            <span><i class="fa fa-clock"></i> <?php echo e(trans('home.Working Hours')); ?>:</span>
                                            <?php echo e(trans('home.Thursday - Friday Closed')); ?>

                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget contact-widget">
                                    <div class="widget-title">
                                        <h4><?php echo e(trans('home.Our Location')); ?></h4>
                                    </div>
                                    <div class="widget-content">
                                        <p><?php echo e($configration->address1); ?></p>
                                        <p><?php echo e($configration->address2); ?></p>
                                    </div>
                                    </div>
                            </div>
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget contact-widget">
                                    <div class="widget-title">
                                        <h4><?php echo e(trans('home.Our Channels')); ?></h4>
                                    </div>
                                    <div class="widget-content">
                                        <ul class="social-links clearfix">
                                            <?php if($setting->twitter): ?><li><a href="<?php echo e($setting->twitter); ?>" target="_blank"><i class="fab fa-twitter"></i></a></li><?php endif; ?>
                                            <?php if($setting->facebook): ?><li><a href="<?php echo e($setting->facebook); ?>" target="_blank"><i class="fab fa-facebook"></i></a></li><?php endif; ?>
                                            <?php if($setting->linkedin): ?><li><a href="<?php echo e($setting->linkedin); ?>" target="_blank"><i class="fab fa-linkedin"></i></a></li><?php endif; ?>
                                            <?php if($setting->instgram): ?><li><a href="<?php echo e($setting->instgram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li><?php endif; ?>
                                            <?php if($setting->youtube): ?><li><a href="<?php echo e($setting->youtube); ?>" target="_blank"><i class="fab fa-youtube"></i></a></li><?php endif; ?>
                                            <?php if($setting->tiktok): ?><li><a href="<?php echo e($setting->tiktok); ?>" target="_blank"><i class="fas fa-tiktok"></i></a></li><?php endif; ?>
                                            <?php if($setting->snapchat): ?><li><a href="<?php echo e($setting->snapchat); ?>" target="_blank"><i class="fab fa-snapchat"></i></a></li><?php endif; ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="footer-bottom centred">
                    <div class="container">
                        <div class="copyright">
                            <p><?php echo $configration->copy_rights_text; ?></p>
                        </div>
                    </div>
                </div>
            </footer>
            <!-- main-footer end -->
    
            <!-- scroll to top -->
            <button class="scroll-top scroll-to-target" data-target="html">
                <i class="fal fa-long-arrow-up"></i>
            </button>
        </div>
        
        <!-- Social Icons -->
        <div class="media-social">
            <ul class="media-links clearfix">
                <li><h6><?php echo e(trans('home.follow on social media')); ?></h6></li>
                <?php if($setting->mobile): ?><li><a href="tel:<?php echo e($setting->mobile); ?>" target="_blank"><i class="fa fa-phone"></i></a></li><?php endif; ?>
                <?php if($setting->whatsapp): ?><li><a href="https://wa.me/+2<?php echo e($setting->whatsapp); ?>" target="_blank"><i class="fab fa-whatsapp"></i></a></li><?php endif; ?>
                <?php if($setting->facebook): ?><li><a href="<?php echo e($setting->facebook); ?>" target="_blank"><i class="fab fa-facebook"></i></a></li><?php endif; ?>
                <?php if($setting->instgram): ?><li><a href="<?php echo e($setting->instgram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li><?php endif; ?>
            </ul>
        </div>
    
        <!-- jequery plugins -->
        <script src="<?php echo e(url('resources/assets/front/js/jquery.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/popper.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/owl.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/wow.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/jquery.fancybox.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/appear.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/scrollbar.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/parallax-scroll.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/isotope.js')); ?>"></script>
        <!-- main-js -->
        <script  src="<?php echo e(url('resources/assets/front/js/script.js')); ?>"></script>
         <?php echo $__env->yieldContent('script'); ?>
    </body>
    <!-- End of .page_wrapper -->
</html><?php /**PATH /home/be4maps/public_html/newdhi.be4maps.com/resources/views/layouts/app.blade.php ENDPATH**/ ?>