<title><?php echo e(trans('home.services')); ?></title>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">

        <!-- Page Header -->
        <div class="page-header">
            <div>
                <h2 class="main-content-title tx-24 mg-b-5"><?php echo e(trans('home.services')); ?></h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>"><?php echo e(trans('home.admin')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('home.services')); ?></li>
                </ol>
            </div>

            <div class="btn btn-list">
                <a href="<?php echo e(url('admin/services/create')); ?>"><button class="btn ripple btn-primary"><i class="fas fa-plus-circle"></i> <?php echo e(trans('home.add')); ?></button></a>
                <a id="btn_active"><button class="btn ripple btn-dark"><i class="fas fa-eye"></i> <?php echo e(trans('home.publish/unpublish')); ?></button></a>
                <a id="btn_delete" ><button class="btn ripple btn-danger"><i class="fas fa-trash"></i> <?php echo e(trans('home.delete')); ?></button></a>
            </div>
        </div>
        <!-- End Page Header -->

        <?php if(session()->has('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session()->pull('success')); ?>

                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <?php endif; ?>

        <!-- Row-->
        <div class="row">
            <div class="col-sm-12 col-xl-12 col-lg-12">
                <div class="card custom-card overflow-hidden">
                    <div class="card-body">
                        <div>
                            <h6 class="card-title mb-1"><?php echo e(trans('home.services')); ?></h6>
                            <p class="text-muted card-sub-title"><?php echo e(trans('home.table_contain_all_data_shortly_you_can_view_more_details')); ?></p>
                        </div>

                        <div class="table-responsive">
                        <table class="table" id="exportexample">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" id="checkAll"/></th>
                                    <th><?php echo e(trans('home.id')); ?></th>
                                    <th><?php echo e(trans('home.name_en')); ?></th>
                                    <th><?php echo e(trans('home.name_ar')); ?></th>
                                    <th><?php echo e(trans('home.icon')); ?></th>
                                    <th><?php echo e(trans('home.status')); ?></th>
                                    <th><?php echo e(trans('home.actions')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="<?php echo e($service->id); ?>">
                                        <td> <input type="checkbox" name="checkbox"  class="tableChecked" value="<?php echo e($service->id); ?>" /> </td>
                                        <td><a href="<?php echo e(route('services.edit', $service->id)); ?>"><?php echo e($service->id); ?></a></td>
                                        <td><a href="<?php echo e(route('services.edit', $service->id)); ?>"><?php echo e($service->name_en); ?></a></td>
                                        <td><a href="<?php echo e(route('services.edit', $service->id)); ?>"><?php echo e($service->name_ar); ?></a></td>
                                        <td>
                                            <a href="<?php echo e(route('services.edit', $service->id)); ?>">
                                                <?php if($service->img): ?>
                                                    <img src="<?php echo e(url('/uploads/services/resize200')); ?>/<?php echo e($service->img); ?>" width="70">
                                                <?php else: ?>
                                                    <img src="<?php echo e(url('resources/assets/back/img/noimage.png')); ?>" width="70">
                                                <?php endif; ?>
                                            </a>
                                        </td>
                                        <td><a href="<?php echo e(route('services.edit', $service->id)); ?>"><?php if($service->status == 1): ?> <?php echo e(trans('home.yes')); ?> <?php else: ?>  <?php echo e(trans('home.no')); ?> <?php endif; ?></a></td>
                                        <td><a href='<?php echo e(($lang == "en")?LaravelLocalization::localizeUrl("/service/$service->link_en"):LaravelLocalization::localizeUrl("/service/$service->link_ar")); ?>' target="_blank"><i class="fas fa-eye"></i> <?php echo e(trans('home.service_preview')); ?></a></td>
                                    </tr>
                                    
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
					</div>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Row -->
    </div>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ramadanshams/public_html/resources/views/admin/services/services.blade.php ENDPATH**/ ?>